Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ImplicitActivationPolicyValue

    java.lang.Object
      |
      +--org.omg.PortableServer.ImplicitActivationPolicyValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ImplicitActivationPolicyValue
extends java.lang.Object
implements IDLEntity

Enum definition : ImplicitActivationPolicyValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_IMPLICIT_ACTIVATION` Enum member IMPLICIT_ACTIVATION value
`static int` | `_NO_IMPLICIT_ACTIVATION` Enum member NO_IMPLICIT_ACTIVATION value
`static ImplicitActivationPolicyValue` | `IMPLICIT_ACTIVATION` Enum member IMPLICIT_ACTIVATION
`static ImplicitActivationPolicyValue` | `NO_IMPLICIT_ACTIVATION` Enum member NO_IMPLICIT_ACTIVATION

Method Summary
`static ImplicitActivationPolicyValue` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _IMPLICIT_ACTIVATION

    public static final int _IMPLICIT_ACTIVATION

  Enum member IMPLICIT_ACTIVATION value

### IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue IMPLICIT_ACTIVATION

  Enum member IMPLICIT_ACTIVATION

### _NO_IMPLICIT_ACTIVATION

    public static final int _NO_IMPLICIT_ACTIVATION

  Enum member NO_IMPLICIT_ACTIVATION value

### NO_IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue NO_IMPLICIT_ACTIVATION

  Enum member NO_IMPLICIT_ACTIVATION

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static ImplicitActivationPolicyValue from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD